summaryrefslogtreecommitdiff
path: root/tcwg_bmk-build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tcwg_bmk-build.sh')
-rwxr-xr-xtcwg_bmk-build.sh23
1 files changed, 22 insertions, 1 deletions
diff --git a/tcwg_bmk-build.sh b/tcwg_bmk-build.sh
index fc416314..9ce91d99 100755
--- a/tcwg_bmk-build.sh
+++ b/tcwg_bmk-build.sh
@@ -389,6 +389,16 @@ no_regression_vs_p ()
if [ ! -f "$ref_artifacts/results_id-1" ] || [ ! -f "$ref_artifacts/results_id-2" ]; then
return 0
fi
+ # <Workaround> missing reference results, which we have listed in
+ # tcwg-benchmark-results.broken-list. Once all entries referencing missing
+ # results are discarded, we'll remove this workaround.
+ # Otherwise compare_results will fail while fetching baseline results,
+ # and we'll consider this failure as a regression.
+ if cat "$scripts/tcwg-benchmark-results.broken-list" \
+ | grep -q "^$(cat $ref_artifacts/results_id-1)\$\|^$(cat $ref_artifacts/results_id-2)\$"; then
+ return 0
+ fi
+ # </Workaround>
compare_results "$ref_artifacts/results_id-1" "$ref_artifacts/results_id-2" "--num_dsos 1 --num_symbols 0"
while IFS= read -r -d '' i
do
@@ -466,7 +476,18 @@ no_regression_to_base_p ()
if ! [ -f "$ref_artifacts/results_id" ]; then
return 0
- elif ! [ -f "$new_artifacts/results_id" ]; then
+ fi
+ # <Workaround> missing reference results, which we have listed in
+ # tcwg-benchmark-results.broken-list. Once all entries referencing missing
+ # results are discarded, we'll remove this workaround.
+ # Otherwise compare_results will fail while fetching baseline results,
+ # and we'll consider this failure as a regression.
+ if cat "$scripts/tcwg-benchmark-results.broken-list" \
+ | grep -q "^$(cat $ref_artifacts/results_id)\$"; then
+ return 0
+ fi
+ # </Workaround>
+ if ! [ -f "$new_artifacts/results_id" ]; then
return 1
fi